/*
   +----------------------------------------------------------------------+
   | PHP version 4.0                                                      |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997, 1998, 1999, 2000, 2001 The PHP Group             |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.02 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/2_02.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors:                                                             |
   |                                                                      |
   +----------------------------------------------------------------------+
 */

#ifndef PHP_TEST_H
#define PHP_TEST_H

extern zend_module_entry test_module_entry;
#define phpext_test_ptr &test_module_entry

#ifdef PHP_WIN32
#define PHP_TEST_API __declspec(dllexport)
#else
#define PHP_TEST_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(test);
PHP_MSHUTDOWN_FUNCTION(test);
PHP_RINIT_FUNCTION(test);
PHP_RSHUTDOWN_FUNCTION(test);
PHP_MINFO_FUNCTION(test);

PHP_FUNCTION(get_value);	/* For testing, remove later. */
PHP_FUNCTION(confirm_test_compiled);	/* For testing, remove later. */

ZEND_BEGIN_MODULE_GLOBALS(test)
	HashTable *global_hash;
ZEND_END_MODULE_GLOBALS(test)

/* In every utility function you add that needs to use variables 
   in php_test_globals, call TSRM_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMG_CC
   after the last function argument and declare your utility function
   with TSRMG_DC after the last declared argument.  Always refer to
   the globals in your function as TEST_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define TEST_G(v) TSRMG(test_globals_id, zend_test_globals *, v)
#else
#define TEST_G(v) (test_globals.v)
#endif

#endif	/* PHP_TEST_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
